export declare const column: ({
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            attrDisabled: boolean;
            checked: boolean;
            textarea: {};
            aliasDisabled: boolean;
            required: boolean;
            isSearch: boolean;
            fieldSearch: {
                type: string;
                sort: number;
            };
            titleDisabled: boolean;
            multiple: boolean;
            pushMsg: boolean;
            disabled: boolean;
            typeDisabled: boolean;
            hide: boolean;
            input: {
                maxLength: number;
            };
            collaboratorRoles: null;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            pushMsg: boolean;
            typeDisabled: boolean;
            limit: number;
            member: {
                collaboratorRoles: string;
                isCollaborators: boolean;
                multiple: boolean;
                required?: undefined;
                isUseUpdator?: undefined;
            };
            disabled: boolean;
            isCollaborators: boolean;
            aliasDisabled: boolean;
            attrDisabled: boolean;
            titleDisabled: boolean;
            hide: boolean;
            multiple: boolean;
            checked: boolean;
            collaboratorRoles: string[];
            textarea?: undefined;
            required?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            input?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            hide: boolean;
            disabled: boolean;
            inputnumber: {
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                range?: undefined;
            };
            groupSelect: {
                options: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                default: number;
                groupOptions: {
                    children: {
                        fontColor: string;
                        id: number;
                        parentId: number;
                        value: string;
                        color: string;
                    }[];
                    id: number;
                    value: string;
                }[];
            };
            isText: boolean;
            titleDisabled: boolean;
            select: {
                options?: undefined;
            };
            attrDisabled: boolean;
            pushMsg: boolean;
            multiple: boolean;
            default: number;
            aliasDisabled: boolean;
            collaboratorRoles: null;
            options: {
                parentId: number;
                value: string;
                color: string;
                fontColor: string;
                id: number;
            }[];
            groupOptions: {
                value: string;
                children: {
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                    value: string;
                }[];
                id: number;
            }[];
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
                isUseUpdator?: undefined;
            };
            typeDisabled: boolean;
            multiselect: {
                options?: undefined;
            };
            require: boolean;
            required: boolean;
            checked: boolean;
            textarea?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            input?: undefined;
            limit?: undefined;
            isCollaborators?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            pushMsg: boolean;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            required?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            multiple?: undefined;
            disabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            pushMsg: boolean;
            collaboratorRoles: string[];
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            required?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            disabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            pushMsg: boolean;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            showTime: boolean;
            collaboratorRoles: null;
            datepicker: {
                format: string;
                showTime: boolean;
                isUseCreateTime?: undefined;
                isUseUpdateTime?: undefined;
            };
            disabled: boolean;
            format: string;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            options: {
                color: string;
                id: number;
                value: string;
            }[];
            pushMsg: boolean;
            required: boolean;
            select: {
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
            };
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            default?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiselect: {
                options: {
                    id: number;
                    value: string;
                    color: string;
                }[];
            };
            options: {
                color: string;
                id: number;
                value: string;
            }[];
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            groupOptions?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            location: string;
            multiple: boolean;
            range: {
                min: number;
                max?: undefined;
            };
            disabled: boolean;
            collaboratorRoles: null;
            pushMsg: boolean;
            accuracy: string;
            sign: string;
            required: boolean;
            amount: {
                accuracy: string;
                location: string;
                range: {
                    min: number;
                };
                sign: string;
            };
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            inputnumber: {
                accuracy: string;
                percentage: boolean;
                range: {
                    max: number;
                    min: null;
                };
                thousandth: boolean;
                required?: undefined;
                unique?: undefined;
            };
            range: {
                max: number;
                min: null;
            };
            thousandth: boolean;
            collaboratorRoles: null;
            pushMsg: boolean;
            disabled: boolean;
            percentage: boolean;
            accuracy: string;
            required: boolean;
            multiple: boolean;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            member: {
                isCollaborators: boolean;
                multiple: boolean;
                collaboratorRoles?: undefined;
                required?: undefined;
                isUseUpdator?: undefined;
            };
            multiple: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            hide: boolean;
            checked: boolean;
            isCollaborators: boolean;
            pushMsg: boolean;
            required: boolean;
            attrDisabled?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            input?: undefined;
            limit?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            dept: {
                multiple: boolean;
            };
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            expression: string;
            formula: {
                expression: string;
                expressionField: string;
            };
            disabled: boolean;
            expressionField: string;
            hide: boolean;
            multiple: boolean;
            checked: boolean;
            pushMsg: boolean;
            required: boolean;
            attrDisabled?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            hide: boolean;
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            workHour: {};
            checked: boolean;
            attrDisabled?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            pushMsg: boolean;
            groupSelect: {
                options: {
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                }[];
                default: number;
                groupOptions: {
                    children: {
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                        value: string;
                    }[];
                    id: number;
                    key: number;
                    value: string;
                }[];
            };
            hide: boolean;
            required: boolean;
            checked: boolean;
            collaboratorRoles: null;
            groupOptions: {
                id: number;
                key: number;
                value: string;
                children: {
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                }[];
            }[];
            options: {
                parentId: number;
                value: string;
                color: string;
                fontColor: string;
                id: number;
            }[];
            default: number;
            disabled: boolean;
            attrDisabled?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            select?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            checked: boolean;
            hide: boolean;
            required: boolean;
            aliasDisabled: boolean;
            isCreateSys: boolean;
            multiple: boolean;
            attrDisabled: boolean;
            member: {
                isCollaborators: boolean;
                multiple: boolean;
                collaboratorRoles?: undefined;
                required?: undefined;
                isUseUpdator?: undefined;
            };
            titleDisabled: boolean;
            isCollaborators: boolean;
            disabled: boolean;
            isUseCreator: boolean;
            pushMsg: boolean;
            typeDisabled: boolean;
            collaboratorRoles: null;
            textarea?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            input?: undefined;
            limit?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            isCreateSys: boolean;
            isUseUpdator: boolean;
            member: {
                isUseUpdator: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
                multiple?: undefined;
                required?: undefined;
            };
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isUseCreator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            datepicker: {
                showTime: boolean;
                format: string;
                isUseCreateTime: boolean;
                isUseUpdateTime?: undefined;
            };
            isUseCreateTime: boolean;
            required: boolean;
            format: string;
            pushMsg: boolean;
            disabled: boolean;
            isCreateSys: boolean;
            multiple: boolean;
            showTime: boolean;
            collaboratorRoles: null;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            isCreateSys: boolean;
            isUseUpdateTime: boolean;
            required: boolean;
            format: string;
            multiple: boolean;
            pushMsg: boolean;
            showTime: boolean;
            datepicker: {
                format: string;
                isUseUpdateTime: boolean;
                showTime: boolean;
                isUseCreateTime?: undefined;
            };
            disabled: boolean;
            attrDisabled?: undefined;
            checked?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            hide?: undefined;
            input?: undefined;
            limit?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            inputnumber?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            select?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            multiselect?: undefined;
            require?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            isText: boolean;
            inputnumber: {
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                range?: undefined;
            };
            member: {
                required: boolean;
                multiple: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
                isUseUpdator?: undefined;
            };
            required: boolean;
            select: {
                options: {
                    color: string;
                    fontColor: string;
                    id: string;
                    value: string;
                }[];
            };
            disabled: boolean;
            hide: boolean;
            multiselect: {
                options?: undefined;
            };
            checked: boolean;
            attrDisabled?: undefined;
            textarea?: undefined;
            aliasDisabled?: undefined;
            isSearch?: undefined;
            fieldSearch?: undefined;
            titleDisabled?: undefined;
            multiple?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            input?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            isCollaborators?: undefined;
            groupSelect?: undefined;
            default?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            require?: undefined;
            showTime?: undefined;
            datepicker?: undefined;
            format?: undefined;
            location?: undefined;
            range?: undefined;
            accuracy?: undefined;
            sign?: undefined;
            amount?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            dept?: undefined;
            expression?: undefined;
            formula?: undefined;
            expressionField?: undefined;
            workHour?: undefined;
            isCreateSys?: undefined;
            isUseCreator?: undefined;
            isUseUpdator?: undefined;
            isUseCreateTime?: undefined;
            isUseUpdateTime?: undefined;
        };
        refSetting: null;
    };
})[];
export declare const dataSource: {
    updateTime: string;
    id: number;
    code: string;
    issueStatusType: number;
    orgId: number;
    _field_1665374365740: string;
    auditStatusDetail: {};
    _field_priority: string;
    issueId: number;
    _field_1665379029907: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    _field_demand_type: number;
    _field_1665379144996: number;
    parentId: number;
    appIds: string[];
    createTime: string;
    _field_1665379034744: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    status: number;
    followerIds: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    title: string;
    _field_1665374370684: string;
    issueStatus: number;
    endTime: string;
    _field_1665378687721: string;
    ownerChangeTime: string;
    _field_1665378968491: number;
    _field_1665378738859: number;
    _field_1665379000225: number;
    order: number;
    planStartTime: string;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    delFlag: number;
    ownerId: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    _field_1665379006496: string;
    startTime: string;
    _field_1564187450836783104: string;
    planEndTime: string;
    dataId: string;
    _field_demand_source: number;
    tableId: string;
    auditStatus: number;
    _field_1665379025457: string;
    path: string;
    collaborators: {
        followerIds: string[];
        ownerId: string[];
    };
    _field_1665378851805: number[];
    recycleFlag: number;
    _field_1665379010448: string;
    projectId: number;
    _field_1666785700398: string;
}[];
